Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.external.javadoc.optionfile
Class OptionLessStringsJavadocOptionFileOption

    java.lang.Object
      org.gradle.external.javadoc.optionfile.OptionLessStringsJavadocOptionFileOption

All Implemented Interfaces:
  OptionLessJavadocOptionFileOption<java.util.List<java.lang.String>>

    public class OptionLessStringsJavadocOptionFileOption

extends java.lang.Object
implements OptionLessJavadocOptionFileOption<java.util.List<java.lang.String>>

Constructor Summary
`OptionLessStringsJavadocOptionFileOption()`
`OptionLessStringsJavadocOptionFileOption(java.util.List<java.lang.String> value)`

Method Summary
`java.util.List<java.lang.String>` | `getValue()`
`void` | `setValue(java.util.List<java.lang.String> value)`
`void` | `write(JavadocOptionFileWriterContext writerContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OptionLessStringsJavadocOptionFileOption

    public OptionLessStringsJavadocOptionFileOption()

### OptionLessStringsJavadocOptionFileOption

    public OptionLessStringsJavadocOptionFileOption(java.util.List<java.lang.String> value)

Method Detail

### getValue

    public java.util.List<java.lang.String> getValue()

  Specified by:
    `getValue` in interface `OptionLessJavadocOptionFileOption<java.util.List<java.lang.String>>`

### setValue

    public void setValue(java.util.List<java.lang.String> value)

  Specified by:
    `setValue` in interface `OptionLessJavadocOptionFileOption<java.util.List<java.lang.String>>`

### write

    public void write(JavadocOptionFileWriterContext writerContext)
               throws java.io.IOException

  Specified by:
    `write` in interface `OptionLessJavadocOptionFileOption<java.util.List<java.lang.String>>`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD